import { Component, inject } from '@angular/core';
import { KeycloakService } from 'keycloak-angular';
import {RouterLink} from "@angular/router";

@Component({
  selector: 'app-landing-page',
  standalone: true,
  imports: [
    RouterLink
  ],
  templateUrl: './landing-page.component.html',
})
export class LandingPageComponent {
  public isLoggedIn = false;
  private keycloakService: KeycloakService = inject(KeycloakService);

  private ngOnInit() {
    this.isLoggedIn = this.keycloakService.isLoggedIn();
  }

  public login() {
    const baseUrl = window.location.origin;

    this.keycloakService.login({ redirectUri: `${baseUrl}/home` });
  }
}
